apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.3.0 (4f187a1)
  creationTimestamp: null
  labels:
    io.kompose.service: postgres
  name: postgres
  namespace: dspace-dev
spec:
  replicas: 1
  strategy:
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: postgres
    spec:
      containers:
      - env:
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              key: psql.pass
              name: dspace-secrets
        - name: PGDATA
          value: /var/lib/postgresql/data/pgdata
        - name: DSPACE_USER
          valueFrom:
            secretKeyRef:
              key: dspace.user
              name: dspace-secrets
        - name: DSPACE_PASSWORD
          valueFrom:
            secretKeyRef:
              key: dspace.pass
              name: dspace-secrets
        - name: DSPACE_DBNAME
          valueFrom:
            secretKeyRef:
              key: dspace.db.name
              name: dspace-secrets
        - name: DSPACE_UTILSDBNAME
          valueFrom:
            secretKeyRef:
              key: dspace.utils.name
              name: dspace-secrets
        image: gitlab.inf.unibz.it:4567/commul/docker/clarin-dspace/staging/postgres:1.3.2-RC1
        imagePullPolicy: Always
        name: clarin-postgres
        resources: {}
        volumeMounts:
        - mountPath: /var/lib/postgresql/data
          name: pgdata
      restartPolicy: Always
      imagePullSecrets:
        - name: gitlab-scientificnet-org-registry
      volumes:
      - name: pgdata
        persistentVolumeClaim:
          claimName: dspace-pgdata
status: {}
